%define  patch_name kernel-feat-fs-supermount-ng
%define  patch24_version 1.2.11a-2.4.24
%define  patch26_version 2.0.4-2.6.6

Name:    %patch_name
Version: 2004.05.15
Release: alt1
Summary: %patch_name kernel patch - supermount removable media patch
License: GPL
Group: Development/Other
BuildArch: noarch
%source 1 supermount-%patch24_version.patch 2.4
%source 2 supermount-%patch24_version-MS_SUPERMOUNT_noxfs.patch 2.4/not_kernel-feat-fs-xfs
%source 3 supermount-%patch24_version-MS_SUPERMOUNT_xfs.patch 2.4/kernel-feat-fs-xfs
%source 50 supermount-%patch26_version.patch 2.6
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires:	kernel-build-tools >= 0.6-alt6

Obsoletes:	kernel-feat-core-supermount

%description
Supermount - removable media support patch

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sat May 15 2004 Albert R. Valiev <darkstar@altlinux.ru> 2004.05.15-alt1
- Updated supermount patch to 2.6.6 kernel
- Renamed from kernel-feat-core-supermount to current name in case of 
- kernel build policy

* Sat Apr 10 2004 Alexey Morozov <morozov@altlinux.org> 2004.04.10-alt1
- build module package against new shining kernel-build-tools
- included versions for both 2.4.x and 2.6.x series of kernel
  (1.2.11a and 2.0.4 respectively)
- Patch for 2.4.x is adapted not to conflict with kernel-feat-fs-xfs
  patches
- Patch for 2.6.x (initially for 2.6.2) is updated to be cleanly applied to
  2.6.5 kernel

* Thu Sep 18 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.2.9-alt1
- Updated to 1.2.9 version for 2.4.22 kernel

* Tue Jul 29 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.2.7-alt2
- Fixed xfs filesystem compat
- Warning: now it builds only with xfs support patch applied to kernel!

* Sun Jul 06 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.2.7-alt1
- Initial build

